curl -X POST "https://api.helicone.ai/v1/prompt-2025/update/environment" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_789",
"environment": "production"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update/environment', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_789",
environment: "production"
}),
});
null
Prompts
Set Version Environment
Set the environment for a specific prompt version
POST
/
v1
/
prompt-2025
/
update
/
environment
curl -X POST "https://api.helicone.ai/v1/prompt-2025/update/environment" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_789",
"environment": "production"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update/environment', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_789",
environment: "production"
}),
});
null
Updates the environment for a specific prompt version. Environments can be “production”, “staging”, “development”, or any custom environment name.
Request Body
string
required
The unique identifier of the prompt
string
required
The unique identifier of the prompt version to update
string
required
The environment to set for this version (e.g., “production”, “staging”, “development”)
Response
Returnsnull on successful update.
curl -X POST "https://api.helicone.ai/v1/prompt-2025/update/environment" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_789",
"environment": "production"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update/environment', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_789",
environment: "production"
}),
});
null
Was this page helpful?